var Elixir = require('laravel-elixir');
var runTests = require('./node_modules/laravel-elixir/tasks/shared/Tests.js');
var path = require('path');

/*
 |----------------------------------------------------------------
 | PHP Code Sniffer
 |----------------------------------------------------------------
 |
 | This task triggers the entire PHP Code Sniffer suite and
 | shows notifications indicating the success or failure
 | that test suite.
 |
 */

Elixir.extend('phpCS', function initPHPCS (src, command) {
    'use strict';

    //noinspection JSUnresolvedFunction
    runTests(
        'phpCS',
        src || ('**/*.php', '!vendor/**/*.php'),
        command || path.normalize('./vendor/bin/phpcs')
    );
});

